Module waffle.jna
Package waffle.util.cache

# Class CaffeineCacheSupplier

java.lang.Object
waffle.util.cache.CaffeineCacheSupplier

All Implemented Interfaces:
  `CacheSupplier`

public class CaffeineCacheSupplier extends Object implements CacheSupplier
A `CacheSupplier` supplying `CaffeineCache`.

## Constructor Summary

Constructors
Constructor
Description
`CaffeineCacheSupplier()`

## Method Summary

Modifier and Type
Method
Description
`<K, V> Cache<K,V>`
`newCache(long timeout)`
Creates a new cache with the specified timeout.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CaffeineCacheSupplier

public CaffeineCacheSupplier()

## Method Details

### newCache

public <K, V> Cache<K,V> newCache(long timeout)
Description copied from interface: `CacheSupplier`
Creates a new cache with the specified timeout.

Specified by:
  `newCache` in interface `CacheSupplier`
Type Parameters:
  `K` - the type of keys maintained by this cache
  `V` - the type of mapped values
Parameters:
  `timeout` - timeout in seconds
Returns:
  a new cache